/* ========================================
 *  SlewOnly - SlewOnly.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "SlewOnly.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::SlewOnly {

SlewOnly::SlewOnly()
{
	lastSampleL = 0.0;
	lastSampleR = 0.0;
}

int SlewOnly::getParameterCount() const
{
	return kNumParameters;
}

void SlewOnly::setParameter(int index, float value) {
}

float SlewOnly::getParameter(int index) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void SlewOnly::getParameterName(int index, char *text) {
}

void SlewOnly::getParameterDisplay(int index, char *text) {
}

void SlewOnly::getParameterLabel(int index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
